# workaround a bug in rpm 3.0.4:
#   by default it modifies the files installed by my %install
#   scriptlet (compresses the man-pages), but failes to update
#   the %files section too.
%define __os_install_post       true

# Note that this is NOT a relocatable package
%define ver     1.0.7
%define rel     1
%define prefix  /usr
%define name    xine_dmd_plugin

Name:        %{name}
Summary:     Xine Digital Movie Disc Plugin
Version:     %{ver}
Release:     %{rel}
Copyright:   GPL
Group:       Applications/Multimedia
Source:      http://www.geocities.com/xinedvdplugin/xine_dmd_plugin-1.0.7.tar.gz
URL:         http://www.geocities.com/xinedvdplugin/
Packager:    Andrew Meredith <andrew@anvil.org>
Vendor:      Maupatz <maupatz32@hotmail.com>
Requires:    xine-lib >= 0.9.10
BuildRoot:   /tmp/%{name}-root

%description

This is a dvd input plugin for xine.
The name of this plugin is dmd (digital movie disc).
With this plugin, you will be able to watch DVD and multiangle DVD.

The mrl looks like:
 * dmd://Title_x_Chapter_y,  if Angle=1
 * dmd://Title_x_Chapter_y_Angle_z, if Angle > 1
A mrl like dmd://movie plays the movie, i.e. the title which have
the maximum of chapters (Angle=1).
The angle camera is change on keyboard with KP_1 Next, KP_7 Previous,
and F1, F2 to direct access to angle 1,2.

You can start with autoplay like xine -p <mrl> : xine -p dmd://movie
:::Warning:::  There are DVD which have more than one movie on them,
look at as a precaution the playlist.

%prep
%setup

%build
./configure --prefix=$RPM_BUILD_ROOT%{prefix}
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
make install

%post

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
# libraries
%{prefix}/lib/xine/plugins/*
# Documents
%doc README NEWS AUTHORS COPYING ChangeLog INSTALL

%changelog
* Frid Sep 13 2002 Maupatz <maupatz32@hotmail.com>
  -Port to xine-0.9.13

* Mon Jul 8 2002 Maupatz <maupatz32@hotmail.com>
  -Update to libtool 1.4 

* Wed May 29 2002 Maupatz <maupatz32@hotmail.com>
  -Port to xine-0.9.10

* Sat May 11 2002 Maupatz <maupatz32@hotmail.com>
  -Port to xine-0.9.9

* Sat Feb 23 2002 Maupatz <maupatz32@hotmail.com>
  -First port to Windows

* Tue Dec 12 2001 Maupatz <maupatz32@hotmail.com>
  -Fix a dmd initialisation segfault

* Tue Dec 4 2001 Maupatz <maupatz32@hotmail.com>
  -Make dmd comptatible with xine>=0.9.5

* Tue Dec 4 2001 Maupatz <maupatz32@hotmail.com>
  -Remove spu language support, audio language is limited to channel 0
  -Update to the new mrls config
  -set the UDF partition title instead Movie
  -avoid DMD trying to open everything

* Sat Nov 24 2001 Maupatz <maupatz32@hotmail.com>
  -Update to the new config file
  -Upgrade to read_cache 1.8
  -make minors code arrangements in dvd_ifo.c

* Thu Nov 8 2001 Maupatz <maupatz32@hotmail.com>
  -Clean up the code again
  -Add angle navigation with keyboard KP_1 Next, KP_7 Previous, F1, F2

* Sun Oct 21 2001 Maupatz <maupatz32@hotmail.com>
  -New plugin API
  -Automatic selection of language on first play
  ( environment string LANG )

* Fri Oct 19 2001 Maupatz <maupatz32@hotmail.com>
  -0.9.6 Add solaris support
  -Clean up the code

* Tue Oct 16 2001 Maupatz <maupatz32@hotmail.com>
  -0.9.5 Update to readcache 1.6

* Wed Oct 3 2001 Maupatz <maupatz32@hotmail.com>
 - 0.9.4 For xine 0.9.1
   Fix a raw_device/device confusion

* Sun Sep 30 2001 Maupatz <maupatz32@hotmail.com>
 - 0.9.3 For xine 0.9.1
   add from dvdnav audio and spu language

* Tue Sep 25 2001 Andrew Meredith <andrew@anvil.org>
 - 0.9.3 For xine 0.9.1
   First draft of spec file

* Tue Sep 25 2001 Maupatz <maupatz32@hotmail.com>
 - Previous Log Entries
   0.9.2 For xine 0.9.0/1
   Take into account "dvd_device" and "dvd_raw_device" in the xine configuration file.
   Make autostart work  : xine -p dmd://movie
   Fix a BE/LE bug on CLUT
   Minors add in the code

  0.9.1 For xine 0.9.0/1
   Rewrite some code
   Fix a CLUT bug
   Add dmd://movie

  0.9.0 For xine 0.9.0
  0.5.3 For xine 0.5.2/3
   add CLUT - Fix minors bugs

  0.5.2 For xine 0.5.2/3

  0.5.0 New plugin for xine 0.5.0/1
   new name Digital Movie Disc (DMD) - still from vlc-2.80

  0.3.9 Last version for xine 0.4.3
