#include <windows.h>
/* Some languages should be missing or should be incorrect  */
unsigned short LANGIDTOISO639(int langid)
{
  switch (langid)
  {
       case LANG_NEUTRAL:
          return 'e'<< 8 | 'n';
	break;
	case LANG_AFRIKAANS:
          return 'a'<< 8 | 'f';
	break;	
	case LANG_ALBANIAN:
          return 's'<< 8 | 'k';
	break;
        case LANG_ARABIC:
          return 'a'<< 8 | 'r';
	break;
        case LANG_ARMENIAN:
          return 'h'<< 8 | 'y';
	break;
        case LANG_ASSAMESE:
          return 'a'<< 8 | 's';
	break;
        case LANG_AZERI:
          return 'a'<< 8 | 'z';
	break;
        case LANG_BASQUE:
          return 'e'<< 8 | 'u';
	break;
        case LANG_BELARUSIAN:
          return 'b'<< 8 | 'e';
	break;
        case LANG_BENGALI:
          return 'b'<< 8 | 'n';
	break;
        case LANG_BULGARIAN:
          return 'b'<< 8 | 'g';
	break;
        case LANG_CATALAN :
          return 'c'<< 8 | 'a';
	break;
        case LANG_CHINESE:
          return 'z'<< 8 | 'h';
	break;
        case LANG_CROATIAN:
          return 's'<< 8 | 'h';
	break;
        case LANG_CZECH:
          return 'c'<< 8 | 's';
	break;
        case LANG_DANISH:
          return 'd'<< 8 | 'a';
	break;
        case LANG_DUTCH :
          return 'd'<< 8 | 'e';
	break;
        case LANG_ENGLISH:
          return 'e'<< 8 | 'n';
	break;
        case LANG_ESTONIAN:
          return 'e'<< 8 | 't';
	break;
        case LANG_FAEROESE:
          return 'f'<< 8 | 'o';
	break;
        case LANG_FARSI:
          return 'e'<< 8 | 'n';
	break;
	case LANG_FINNISH:
          return 'f'<< 8 | 'i';
	break;
        case LANG_FRENCH:
          return 'f'<< 8 | 'r';
	break;
        case LANG_GEORGIAN:
          return 'k'<< 8 | 'a';
	break;
        case LANG_GERMAN:
          return 'd'<< 8 | 'e';
	break;
        case LANG_GREEK:
          return 'e'<< 8 | 'l';
	break;
        case LANG_GUJARATI:
          return 'g'<< 8 | 'u';
	break;
        case LANG_HEBREW:
          return 'h'<< 8 | 'e';
	break;
        case LANG_HINDI:
          return 'h'<< 8 | 'i';
	break;
        case LANG_HUNGARIAN:
          return 'h'<< 8 | 'u';
	break;
        case LANG_ICELANDIC:
          return 'i'<< 8 | 'c';
	break;
        case LANG_INDONESIAN:
          return 'i'<< 8 | 'n';
	break;
        case LANG_ITALIAN:
          return 'i'<< 8 | 't';
	break;
        case LANG_JAPANESE:
          return 'j'<< 8 | 'a';
	break;
        case LANG_KANNADA:
          return 'k'<< 8 | 'n';
	break;
        case LANG_KASHMIRI:
          return 'k'<< 8 | 's';
	break;
         case LANG_KAZAK:
          return 'k'<< 8 | 'k';
	break;
	case LANG_KOREAN:
          return 'k'<< 8 | 'o';
	break;
        case LANG_KONKANI:
          return 'e'<< 8 | 'n';
	break;	
	case LANG_LATVIAN:
          return 'l'<< 8 | 'v';
	break;	
	case LANG_LITHUANIAN:
          return 'l'<< 8 | 't';
	break;	
	case LANG_MACEDONIAN:
          return 'm'<< 8 | 'k';
	break;
	case LANG_MALAY:
          return 'm'<< 8 | 's';
	break;
	case LANG_MALAYALAM:
          return 'm'<< 8 | 'l';
	break;
	case LANG_MANIPURI:
          return 'e'<< 8 | 'n';
	break;
	case LANG_MARATHI:
          return 'm'<< 8 | 'a';
	break;
	case LANG_NEPALI:
          return 'n'<< 8 | 'e';
	break;
	case LANG_NORWEGIAN:
          return 'n'<< 8 | 'o';
	break;
	case LANG_ORIYA:
          return 'o'<< 8 | 'r';
	break;
	case LANG_POLISH :
          return 'p'<< 8 | 'l';
	break;
	case LANG_PORTUGUESE:
          return 'p'<< 8 | 't';
	break;
	case LANG_PUNJABI:
          return 'p'<< 8 | 'a';
	break;
	case LANG_ROMANIAN:
          return 'r'<< 8 | 'o';
	break;
	case LANG_RUSSIAN:
          return 'r'<< 8 | 'u';
	break;
	case LANG_SANSKRIT:
          return 's'<< 8 | 'a';
	break;
	case LANG_SINDHI:
          return 's'<< 8 | 'd';
	break;
	case LANG_SLOVAK:
          return 's'<< 8 | 'k';
	break;
	case LANG_SLOVENIAN:
          return 's'<< 8 | 'l';
	break;
	case LANG_SPANISH:
          return 'e'<< 8 | 's';
	break;
	case LANG_SWAHILI:
          return 's'<< 8 | 'w';
	break;
	case LANG_SWEDISH :
          return 's'<< 8 | 'v';
	break;
	case LANG_TAMIL:
          return 't'<< 8 | 'a';
	break;
	case LANG_TATAR :
          return 't'<< 8 | 't';
	break;
	case LANG_TELUGU:
          return 't'<< 8 | 'e';
	break;
	case LANG_THAI:
          return 't'<< 8 | 'h';
	break;
	case LANG_TURKISH:
          return 't'<< 8 | 'k';
	break;
	case LANG_UKRAINIAN:
           return 'u'<< 8 | 'k';
        break;
	case LANG_URDU:
          return 'u'<< 8 | 'r';
	break;
	case LANG_UZBEK:
          return 'u'<< 8 | 'z';
	break;	
	case LANG_VIETNAMESE:
          return 'v'<< 8 | 'i';
	break;	
 }
 return 0xffff;
}
